Loading...
Searching...
No Matches
composition_hash.h File Reference
`#include <cstring>`
`#include <vector>`
`#include <bit>`
`#include "xxhash64.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/composition/composition_abstract.h"`
Include dependency graph for composition_hash.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | fourdst::composition::utils::CompositionHash
struct | std::hash< fourdst::composition::CompositionAbstract >
struct | std::hash< fourdst::composition::Composition >

## Namespaces

namespace | fourdst
namespace | fourdst::composition
| Utilities and types for representing and manipulating chemical compositions.
namespace | fourdst::composition::utils

## Concepts

concept | fourdst::composition::utils::CompositionType